package com.sinosig.util.domain;

import java.io.Serializable;
import java.util.List;
import org.springframework.util.DigestUtils;

public class PSWorkflow implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
     * 业务工作流标识
     */
    String psworkflowid;

    /**
     * 业务工作流名称
     */
    String psworkflowname;

    /*
	 * 逻辑名
	 */
	String logicname;

    /**
     * 部署系统标识
     */
    String pssystemid;

    /**
     * 部署域标识
     */
    String workflowid;

    /**
     * 引擎类型
     */
    String wfenginetype;

    public String getPsworkflowid() {
        if (this.psworkflowid == null) {
            return this.psworkflowid;
        }
        String srtTmp = this.psworkflowid;
        if (this.pssystemid != null) {
            srtTmp = this.pssystemid + srtTmp;
        }
        if (this.workflowid != null) {
            srtTmp = this.workflowid + srtTmp;
        }
        return DigestUtils.md5DigestAsHex(srtTmp.getBytes());
    }

    public void setPsworkflowid(String psworkflowid) {
        this.psworkflowid = psworkflowid;
    }

    public String getPsworkflowname() {
        return this.psworkflowname;
    }

    public void setPsworkflowname(String psworkflowname) {
        this.psworkflowname = psworkflowname;
    }

	public String getPssystemid() {
        if (this.pssystemid == null) {
            return this.pssystemid;
        }
        String srtTmp = this.pssystemid;
        if (this.workflowid != null) {
            srtTmp = this.workflowid + srtTmp;
        }
        return DigestUtils.md5DigestAsHex(srtTmp.getBytes());
    }

    public void setPssystemid(String pssystemid) {
        this.pssystemid = pssystemid;
    }

    public String getWorkflowid() {
        if (this.workflowid != null) {
            return DigestUtils.md5DigestAsHex(this.workflowid.getBytes());
        }
        return this.workflowid;
    }

    public void setWorkflowid(String workflowid) {
        this.workflowid = workflowid;
    }

    public String getLogicname() {
		return logicname;
	}

	public void setLogicname(String logicname) {
		this.logicname = logicname;
	}

	public String getWfenginetype() {
		return this.wfenginetype;
	}

	public void setWfenginetype(String wfenginetype) {
		this.wfenginetype = wfenginetype;
	}
}
